Debian Bug report logs - #491575
support reading compressed diffs

version graph

Package: diffstat; Maintainer for diffstat is Sandro Tosi <morph@debian.org>; Source for diffstat is src:diffstat.

Reported by: "Joe Nahmias" <joe@nahmias.net>

Date: Sun, 20 Jul 2008 15:36:01 UTC

Severity: wishlist

Found in version diffstat/1.45-2

Fixed in version diffstat/1.51-1

Done: Greg Norris <adric@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>:
Bug#491575; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to "Joe Nahmias" <joe@nahmias.net>:
New Bug report received and forwarded. Copy sent to Greg Norris <adric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Joe Nahmias" <joe@nahmias.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: support reading compressed diffs
Date: Sun, 20 Jul 2008 11:33:22 -0400
Package: diffstat
Version: 1.45-2
Severity: wishlist

Hello,

It would be nice if diffstat supported compressed diffs natively (-z
option?) instead of having to do `zcat foo.diff | diffstat`.

Thanks,
--Joe


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages diffstat depends on:
ii  libc6                         2.7-12     GNU C Library: Shared libraries

diffstat recommends no packages.

diffstat suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>:
Bug#491575; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to Greg Norris <haphazard@kc.rr.com>:
Extra info received and forwarded to list. Copy sent to Greg Norris <adric@debian.org>. Full text and rfc822 format available.

Message #10 received at 491575@bugs.debian.org (full text, mbox):

From: Greg Norris <haphazard@kc.rr.com>
To: Joe Nahmias <joe@nahmias.net>
Cc: 491575@bugs.debian.org
Subject: Re: Bug#491575: support reading compressed diffs
Date: Thu, 31 Jul 2008 17:26:35 -0500
[Message part 1 (text/plain, inline)]
On Sun, Jul 20, 2008 at 11:33:22AM -0400, Joe Nahmias wrote:
> It would be nice if diffstat supported compressed diffs natively (-z
> option?) instead of having to do `zcat foo.diff | diffstat`.

This is already in place, assuming that the diff filename has the usual 
.gz/.bz2 suffix.  For example:

   $ diffstat  diffstat-1.45-quiet.diff.gz 
    diffstat.1 |    3 +++
    diffstat.c |   27 +++++++++++++++++----------
    2 files changed, 20 insertions(+), 10 deletions(-)

A set of explicit commandline options would be useful when dealing with 
atypical filenames, however, and possibly when reading from stdin as 
well.  I'll look into it...

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>:
Bug#491575; Package diffstat. (Tue, 11 Aug 2009 23:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Greg Norris <adric@debian.org>. (Tue, 11 Aug 2009 23:39:02 GMT) Full text and rfc822 format available.

Message #15 received at 491575@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 491575@bugs.debian.org
Cc: 491575-submitter@bugs.debian.org
Subject: re: #491575 support reading compressed diffs
Date: Tue, 11 Aug 2009 19:35:22 -0400
[Message part 1 (text/plain, inline)]
I implemented this by checking the magic bytes at the beginning of the
stream, and then decompressing a copy of the file.  So it works without
any new options (though I did add some environment-variable configurability).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to "Joe Nahmias" <joe@nahmias.net>:
Bug#491575. (Tue, 11 Aug 2009 23:39:04 GMT) Full text and rfc822 format available.

Reply sent to Greg Norris <adric@debian.org>:
You have taken responsibility. (Mon, 12 Jul 2010 22:42:07 GMT) Full text and rfc822 format available.

Notification sent to "Joe Nahmias" <joe@nahmias.net>:
Bug acknowledged by developer. (Mon, 12 Jul 2010 22:42:08 GMT) Full text and rfc822 format available.

Message #23 received at 491575-close@bugs.debian.org (full text, mbox):

From: Greg Norris <adric@debian.org>
To: 491575-close@bugs.debian.org
Subject: Bug#491575: fixed in diffstat 1.51-1
Date: Mon, 12 Jul 2010 22:38:51 +0000
Source: diffstat
Source-Version: 1.51-1

We believe that the bug you reported is fixed in the latest version of
diffstat, which is due to be installed in the Debian FTP archive:

diffstat_1.51-1.diff.gz
  to main/d/diffstat/diffstat_1.51-1.diff.gz
diffstat_1.51-1.dsc
  to main/d/diffstat/diffstat_1.51-1.dsc
diffstat_1.51-1_i386.deb
  to main/d/diffstat/diffstat_1.51-1_i386.deb
diffstat_1.51.orig.tar.gz
  to main/d/diffstat/diffstat_1.51.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 491575@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Greg Norris <adric@debian.org> (supplier of updated diffstat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 12 Jul 2010 14:57:14 -0500
Source: diffstat
Binary: diffstat
Architecture: source i386
Version: 1.51-1
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Greg Norris <adric@debian.org>
Description: 
 diffstat   - produces graph of changes introduced by a diff file
Closes: 491575 563875
Changes: 
 diffstat (1.51-1) unstable; urgency=low
 .
   * New upstream release.
     - Automagic detection and handling of compressed diffs. (closes: 491575)
     - Handle special case of no-newline message from some diffs. (closes: 563875)
   * Orphan this package (set maintainer to Debian QA Group).
Checksums-Sha1: 
 3914ebda389b406b240e91d87242f43bb6f30822 954 diffstat_1.51-1.dsc
 4d0d3a3a2dae4d4a53f5a2a913d4c349d79fdd83 209813 diffstat_1.51.orig.tar.gz
 f3723b0616aaad796b8c909a09afc549fece12be 3882 diffstat_1.51-1.diff.gz
 cc4403360bd8185958ccf82e1b23c43e14c5c191 26010 diffstat_1.51-1_i386.deb
Checksums-Sha256: 
 2564ad7b1b8e50b93728bc4c77ee2d38d40f3a7ae1afdb5cece353e2250168ca 954 diffstat_1.51-1.dsc
 c0c83c6eea054cbf0a3a9c0621ae3bef1a9a33914d417f08569159c975644075 209813 diffstat_1.51.orig.tar.gz
 53805ab69b28758b0c54320a4694dd6550f3b4741345c3a2610950789603b5ec 3882 diffstat_1.51-1.diff.gz
 e832f271659ee9ceb581303e11bde994a414b27492cd3d20b7a54f9651c05af0 26010 diffstat_1.51-1_i386.deb
Files: 
 3fcb4f037c3c1f38bf3650797cfbd7bc 954 devel optional diffstat_1.51-1.dsc
 a7d3fd1ba2a9a6c9e2b32e867b5e8792 209813 devel optional diffstat_1.51.orig.tar.gz
 755546fceb5f51819b151350899a0196 3882 devel optional diffstat_1.51-1.diff.gz
 2a58b22722bb339b501b747628bf538d 26010 devel optional diffstat_1.51-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkw7eZsACgkQgrEMyr8Cx2apegCglph6xAGl2KmknBjiVpJilZX1
OdUAoJr8B69wMbkgV1yKcef1ZVsHXB94
=Jbze
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Aug 2010 07:52:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:48:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.